Bug 162227 - RHAPS rhdb-jonas service does not work with SELinux
RHAPS rhdb-jonas service does not work with SELinux
Status: CLOSED CURRENTRELEASE
Product: Red Hat Application Server
Classification: Retired
Component: jonas (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fernando Nasser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-30 20:45 EDT by Fernando Nasser
Modified: 2007-04-18 13:28 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 14:05:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2005-06-30 20:45:01 EDT
Description of problem:

The RPM does not initialize the database, and even if that is done by hand the
service will not start

Version-Release number of selected component (if applicable):

jonas-examples-4.4.2-1jpp_13rh.noarch.rpm

How reproducible:

Always

Steps to Reproduce:
1. Turn on SELinux
2. Install JOnAS
3. service rhdb-jonas start
  
Actual results:


Expected results:

A DBMS running on port 5433

Additional info:

The post script must use runuser instead of su if SELinus is on during th4e
installation.

Also, if SELinux is installed, the following likes have to be added to the
selinux configuration file

/etc/selinux/targeted/contexts/files/file_contexts

/usr/share/jonas/pgsql(/.*)?       system_u:object_r:postgresql_db_t
/var/log/rhdb/rhdb(/.*)?                system_u:object_r:postgresql_log_t


But if the SELinux package selinux-policy-targeted is installed after the
jonas-examples package, the jonas-examples package will not have installed those
lines, so the jonas-examples package would have to be uninstalled and installed
again.  There should be a /etc/selinux/targeted/contexts/files/file_contexts.d
directory for fragments like this and should be created by something in core. 
But perhaps selinux-policy-targeted is in core?
Comment 3 Fernando Nasser 2005-09-28 14:05:11 EDT
Will RHEL4 U1 this should work.
It is not supported however.  Use at your own risk.

Note You need to log in before you can comment on or make changes to this bug.